Update Lead: Realpage
https://api.propexo.com/v1/leads/realpage/:id| Interface | Method |
|---|---|
| Prospect Management ODE | UpdateProspect |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the lead
Request
This endpoint expects an object.
The last name associated with the lead
Possible values: <= 30 characters
The first name associated with the lead
Possible values: <= 30 characters
The Propexo unique identifier for the lead source
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the lead
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXThe first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the lead
The last name associated with the lead
Possible values: <= 30 characters
The first name associated with the lead
Possible values: <= 30 characters
The Propexo unique identifier for the lead source
The primary email address associated with the lead
Primary phone number associated with the lead
Type of the primary phone number
Show 4 enum values
HOMEWORKMOBILEFAXSecondary phone number associated with the lead
Type of the secondary phone number
Show 4 enum values
HOMEWORKMOBILEFAXThe first address line associated with the lead
The second address line associated with the lead
The city associated with the lead
The state associated with the lead
The zip code associated with the lead
The country associated with the lead
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/leads/realpage/:id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"id": "string",
"last_name": "string",
"first_name": "string",
"lead_source_id": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "string"
}
}